<?php

/**
 * Représente un message.
 */
class Message {

	/** L'auteur du message */
	protected $author;

	/** Le texte du message */
	protected $text;

	/** La date du message */
	protected $date;

	/** Le domaine sur lequel a été posté le message */
	protected $domain;

	/**
	 * Construit un nouveau message.
	 */
	public function __construct($author, $text, $domain=null, $date=null) {
		$this->author = $author;
		$this->text = $text;
		$this->domain = $domain !== null ? $domain : $_SERVER['HTTP_HOST'];
		$this->date = $date !== null ? $date : new DateTime();
	}

	/**
	 * Renvoie l'auteur du message.
	 */
	public function getAuthor() {
		return $this->author;
	}

	/**
	 * Renvoie le texte du message.
	 */
	public function getText() {
		return $this->text;
	}

	/**
	 * Renvoie la date du message.
	 */
	public function getDate() {
		return $this->date;
	}

	/**
	 * Renvoie le domaine sur lequel a été posté le message.
	 */
	public function getDomain() {
		return $this->domain;
	}

}

?>
